Resent-Date: Mon, 26 Apr 1999 01:31:11 +0200 (MET DST)
Date: Sun, 25 Apr 1999 18:30:54 -0500
From: Chris Lawrence <quango@watervalley.net>
To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Subject: Re: 2.2.6
Mail-Followup-To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
References: <199904231758.TAA62202@rsplus04.cern.ch> <19990424145207.C2337@quango.watervalley.net>
In-Reply-To: <19990424145207.C2337@quango.watervalley.net>; from Chris Lawrence on Sat, Apr 24, 1999 at 02:52:07PM -0500
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.2.3-pre1
Resent-From: linux-m68k@phil.uni-sb.de

On Apr 24, Chris Lawrence wrote:
> Serial as a module seems (on my system at least) to be massively hosed
> with some oops output... damned if I can get anything useful out of
> ksymoops though (just an EIP... no call trace, no disassembly, no
> nothing).

The following patch fixes amiga_ser and ser_mfc to use
m68k_(un)?register_serial instead of (un)?register_serial:

Some other drivers probably need to be patched too... relative to 2.2.6

--- linux-2.2.6/drivers/char/amiga_ser.c.orig	Sun Apr 25 17:36:49 1999
+++ linux-2.2.6/drivers/char/amiga_ser.c	Sun Apr 25 17:39:16 1999
@@ -178,7 +178,7 @@
 	req.line = -1; /* first free ttyS? device */
 	req.type = SER_AMIGA;
 	req.port = (int) &custom.serdatr; /* dummy value */
-	if ((line = register_serial( &req )) < 0) {
+	if ((line = m68k_register_serial( &req )) < 0) {
 		printk( "Cannot register built-in serial port: no free device\n" );
 		return -EBUSY;
 	}
@@ -534,7 +534,7 @@
 
 void cleanup_module(void)
 {
-	unregister_serial(line);
+	m68k_unregister_serial(line);
 	custom.intena = IF_RBF | IF_TBE; /* forbid interrupts */
 	custom.intreq = IF_RBF | IF_TBE; /* clear pending interrupts */
 	mb();
--- linux-2.2.6/drivers/char/ser_mfc.c.orig	Sun Apr 25 17:37:14 1999
+++ linux-2.2.6/drivers/char/ser_mfc.c	Sun Apr 25 17:38:51 1999
@@ -772,7 +772,7 @@
 		req.line = -1; /* first free ttyS? device */
 		req.type = SER_MFC_III;
 		req.port = (int)&dp->pa;
-		if ((line1 = register_serial( &req )) < 0) {
+		if ((line1 = m68k_register_serial( &req )) < 0) {
 			printk( "Cannot register MFC III serial port: no free device\n" );
 			return -EBUSY;
 		}
@@ -785,9 +785,9 @@
 		req.line = -1; /* first free ttyS? device */
 		req.type = SER_MFC_III;
 		req.port = (int)&dp->pb;
-		if ((line2 = register_serial( &req )) < 0) {
+		if ((line2 = m68k_register_serial( &req )) < 0) {
 			printk( "Cannot register MFC III serial port: no free device\n" );
-			unregister_serial( line1 );
+			m68k_unregister_serial( line1 );
 			return -EBUSY;
 		}
 		lines[nr_mfc++] = line2;
@@ -879,8 +879,8 @@
 		dp->pb.cr = CR_RX_OFF | CR_TX_OFF;
 		wmb ();
 		dp->ir.imr = 0;   /* turn off interrupts */
-		unregister_serial(lines[i]);
-		unregister_serial(lines[i+1]);
+		m68k_unregister_serial(lines[i]);
+		m68k_unregister_serial(lines[i+1]);
 		zorro_unconfig_board(board_index[i/2], 1);
 	}
 	free_irq(IRQ_AMIGA_EXTER, mfc_interrupt);



Chris
-- 
=============================================================================
|       Chris Lawrence       |   You have a computer.  Do you have Linux?   |
|  <quango@watervalley.net>  |     http://www.linux-m68k.org/index.html     |
|                            |                                              |
|  Amiga A4000/060/PPC with  |        Do you want your bank to snoop?       |
|       Linux/m68k 2.2       |       http://www.defendyourprivacy.com/      |
=============================================================================

